package roseindia;

import java.util.ArrayList;
import java.util.Collection;
import java.util.Iterator;
import java.util.List;
import org.hibernate.Criteria;
import org.hibernate.HibernateException;
import org.hibernate.Session;
import org.hibernate.criterion.Criterion;
import org.hibernate.criterion.Restrictions;

import roseindia.bean.User;
import roseindia.util.HibernateUtil;

public class Criteria_Ex_SetMax {

	public static void main(String[] args) {

		Session session = HibernateUtil.getSessionFactory().openSession();

		User user = null;

		try {

			// Criterion is used to implement Where Clause

			Criteria criteria = session.createCriteria(User.class);
			criteria.setMaxResults(5);

			List<User> employees = criteria.list();

			Iterator itr = employees.iterator();
			while (itr.hasNext()) {
				user = (User) itr.next();
				System.out.println(user);
			}

		} catch (HibernateException e) {

			e.printStackTrace();
		} finally {
			session.flush();
			session.close();
		}

	}

}
