package roseindia;

import java.util.List;

import org.hibernate.Criteria;
import org.hibernate.HibernateException;
import org.hibernate.Session;
import org.hibernate.criterion.Restrictions;



import roseindia.bean.User;
import roseindia.util.HibernateUtil;


public class Criteria_Restriction {

	
	public static void main(String[] args) {

		
		Session session = HibernateUtil.getSessionFactory().openSession();
		
		User user=null;
		
		try {
			// Creating a Criteria instance
			Criteria crit = session.createCriteria(User.class);
			crit.setMaxResults(10);
			List users = crit.list();
			
			users = session.createCriteria(User.class)
		    .add( Restrictions.like("empName", "gyan%") )
		    .add( Restrictions.or(
		        Restrictions.eq( "expInMonth", new Integer(0) ),
		        Restrictions.isNull("expInMonth")
		    ) )
		    .list();
			System.out.println("Size= " +users.size());
		
			// Example-2
			users = session.createCriteria(User.class)
		    .add( Restrictions.in( "empName", new String[] { "gyan 0", "gyan 1", "gyanusers 2" } ) )
		    .add( Restrictions.disjunction()
		        .add( Restrictions.isNull("expInMonth") )
		        .add( Restrictions.eq("expInMonth", new Integer(0) ) )
		        .add( Restrictions.eq("expInMonth", new Integer(13) ) )).list();
			
			System.out.println("Size= " +users.size());
			
			
							
		} catch (HibernateException e) {
			
			e.printStackTrace();
		} finally {
			session.close();
		}	

	}

}
